How to install Picasa 3.0 beta in Ubuntu

Sponsored Link
Picasa is free photo software from Google. This version is Linux compatible. Picasa won't delete your pictures or put them online without your permission. This is a preview of the upcoming release of Picasa 3 for Ubuntu.

Important Note:- This is still in beta version and it might break your System

New Features

  • Improved integration with Picasa Web Albums
  • You can sync your Picasa 3 and Web Albums edits, change your online album settings from Picasa, and delete online albums from Picasa.
  • Better uploading with the upload Drop-box and bandwidth throttling.
  • New Retouch tool to remove unsightly blemishes and improve photo quality.
  • Improved Collage tool lets you have total artistic control over your collage content and layout.
  • Auto red-eye: same results, less work for you.
  • Easily add text or watermarks to your photos.

Linux specific changes / improvements

  • User data are now stored in ~/.google/picasa/.
  • Camera/media detection integrated with Gnome/KDE.
  • Mozilla/Firefox browser integration done via a plugin.
  • picasa:// urls work in Firefox 3.
  • Downloading albums from Picasa Web Albums launches faster.
  • Better Xinerama support.

Remove existing Picasa

If you are using stable version you have to remove using the following command

sudo apt-get remove picasa

Install Picasa 3.0 beta in ubuntu

Import the google key using the following command

wget -q -O -- https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add  -

sudo apt-get update

Edit the   /etc/apt/sources.list file

sudo gedit /etc/apt/sources.list

add the following line

# Google testing repository

deb http://dl.google.com/linux/deb/ testing non-free

save and exit the file.

Update the source list file using the following command

sudo apt-get update

Install picasa using the following command

sudo apt-get install picasa

Sponsored Link

Incoming search terms:

Related posts

25 thoughts on “How to install Picasa 3.0 beta in Ubuntu

  1. got error:
    sudo wget -q -O – https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add -apt-get update
    gpg: Invalid option “-apt-get”

    modified:
    sudo wget -q -O – https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add | apt-get update
    gpg: can’t open `': No such file or directory
    E: Could not open lock file /var/lib/apt/lists/lock – open (13 Permission denied)
    E: Unable to lock the list directory

    any clue

    Thanks
    Ramesh

    [Reply]

  2. When I run, I have the error:

    gpg: no writable keyring found: eof
    gpg: error reading `-‘: general error
    gpg: import from `-‘ failed: general error

    [Reply]

  3. I agree with crjackson; why does Google force a wine implementation with the package, not caring if another installation of wine is already present in the target system?

    If they do it out of assuming that people wont know the difference and need to be spoon fed, well that would be just plain arrogant; IMO they should provide with packages with and without wine and allow people to decide which version they want to install, and the version with wine is to be provided only because probably someone out there wants to run *only* picasa under wine and so they could use an embedded package.

    Otherwise why have *two* version of wine installed?

    [Reply]

  4. The problem is with the hyphen after the -O parameter … the symbol is NOT a normal hyphen … type it in instead of copy/paste (and use normal hyphen instead!) and you’ll find it works just fine!

    When is the native linux version to be released, please, please, Mr & Mrs Google???

    Other than that – thanks for this – it’s great!

    [Reply]

    stringoustik Reply:

    For those getting the gpg: no valid OpenPGP data found. use this command instead:
    wget –no-check-certificate -q -O – https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add -

    [Reply]

  5. setup your repository with:

    sudo sh -c ‘echo “deb http://dl.google.com/linux/deb/ testing non-free” >> /etc/apt/sources.list.d/google.list’

    because I found that the one above doesn’t quite work… its probably because I’m using 11.10… but anyway, there’s the solution…

    [Reply]

Leave a comment

Your email address will not be published. Required fields are marked *